| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_color_space_YCoCg
GTX Extensions (Experimental)

RGB to YCoCg conversions and operations. More...

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rgb2YCoCg (tvec3< T, P > const &rgbColor)
| Convert a color from RGB color space to YCoCg color space. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rgb2YCoCgR (tvec3< T, P > const &rgbColor)
| Convert a color from RGB color space to YCoCgR color space. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | YCoCg2rgb (tvec3< T, P > const &YCoCgColor)
| Convert a color from YCoCg color space to RGB color space. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | YCoCgR2rgb (tvec3< T, P > const &YCoCgColor)
| Convert a color from YCoCgR color space to RGB color space. More...

## Detailed Description

RGB to YCoCg conversions and operations.

<glm/gtx/color_space_YCoCg.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tvec3<T, P> glm::rgb2YCoCg | ( | tvec3< T, P > const & | rgbColor | ) |

Convert a color from RGB color space to YCoCg color space.

See also
  GLM_GTX_color_space_YCoCg

GLM_FUNC_DECL tvec3<T, P> glm::rgb2YCoCgR | ( | tvec3< T, P > const & | rgbColor | ) |

Convert a color from RGB color space to YCoCgR color space.

See also
  "YCoCg-R: A Color Space with RGB Reversibility and Low Dynamic Range"
  GLM_GTX_color_space_YCoCg

GLM_FUNC_DECL tvec3<T, P> glm::YCoCg2rgb | ( | tvec3< T, P > const & | YCoCgColor | ) |

Convert a color from YCoCg color space to RGB color space.

See also
  GLM_GTX_color_space_YCoCg

GLM_FUNC_DECL tvec3<T, P> glm::YCoCgR2rgb | ( | tvec3< T, P > const & | YCoCgColor | ) |

Convert a color from YCoCgR color space to RGB color space.

See also
  "YCoCg-R: A Color Space with RGB Reversibility and Low Dynamic Range"
  GLM_GTX_color_space_YCoCg